import { WithStyles } from '@material-ui/core/styles';

import styles from './SelectSupplierCard.component';

export default interface Props extends WithStyles<any> {
  classes: any;
  supplier: {
    address: string;
    approvedByRESG: boolean;
    buyerManaged: boolean;
    city: string;
    extStatus: string;
    fiscalCode: string;
    id: string;
    isoCountry: string;
    name: string;
    status: string;
    type: string;
    userEmail: string;
    userFirstName: string;
    userId: string;
    userLastName: string;
    userTitle: string;
    website: string;
    zipCode: string;
  };
  cardLabels: {
    riskLevelLabel: string;
    referenceLabel: string;
    detailButtonLabel: string;
    addButtonLabel: string;
    removeButtonLabel: string;
  };
  selectSupplierEffect: any;
  unselectSupplierEffect: any;
  isCardSelected: boolean;
}
