import React, { StatelessComponent, useEffect } from 'react';
import Grid from '@material-ui/core/Grid';

import SelectedSupplierCard from '../SelectedSupplierCard';
import Props from './SelectedSuppliersList.interface';

export const SuppliersList: StatelessComponent<Props> = props => {
  const { selectedSuppliers, classes } = props;

  useEffect(() => {}, [selectedSuppliers]);

  return (
    <>
      <Grid item xs={12} className={classes.listSelectedSuppliersContainer}>
        {selectedSuppliers.map((supplier: any) => (
          <SelectedSupplierCard supplier={supplier} key={supplier.id} />
        ))}
      </Grid>
    </>
  );
};

export default SuppliersList;
