import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import SelectedSuppliersList from './SelectedSuppliersList.component';
import styles from './SelectedSuppliersList.style';

const mapStateToProps = (state: any) => {
  return {
    selectedSuppliers: state.suppliers.selectedSuppliers,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(SelectedSuppliersList),
);
