import { withStyles } from '@material-ui/core/styles';
import { connect } from 'react-redux';
import { withRouter } from 'react-router';
import Header from './Header';
import styles from './Header.style';

const mapStateToProps = (state: any) => ({
  authentification: state.authentication,
});

export default withStyles(styles)(
  withRouter(
    connect(
      mapStateToProps,
      null,
    )(Header),
  ),
) as any;
