import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import Criteria from './Criteria.component';
import styles from './Criteria.style';

const mapStateToProps = (state: any) => {
  return {
    titles: state.intl.messagesFromBack,
    helperMessage: state.intl.messages.purchase.helperMessages.ingratedIntoTheSpecifiactions,
    tableMessages: state.intl.messages.purchase.inputs.selectionCriteria,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(Criteria),
);
