import { createStyles } from '@material-ui/core/styles';

const styles = () =>
  createStyles({
    container: {
      marginBottom: 20,
    },
    panelDetailsContainer: {
      flexDirection: 'column',
    },
    redTextColor: {
      color: 'red',
    },
    totalPercentage: {
      paddingRight: 18,
    },
    table: {
      marginBottom: 5,
    },
    addCriteriaButton: {
      width: '10%',
      marginTop: 20,
    },
    criteriaHeader: {
      alignItems: 'center',
      height: 72,
      padding: '0px 40px 0px 0px',
      margin: 0,
    },
    businessCriteriaSummary: {
      display: 'flex',
      alignItems: 'center',
      margin: 0,
    },
    inputRoot: {
      border: '1px solid #777777',
      height: 24,
      width: 40,
      marginRight: 5,
      marginLeft: 30,
      '&::after': {
        content: 'unset',
      },
      '&::before': {
        content: 'unset',
      },
    },
    inputSubCriteriaRoot: {
      border: '1px solid #777777',
      height: 24,
      width: 40,
      marginRight: 5,
      marginLeft: 0,
      '&::after': {
        content: 'unset',
      },
      '&::before': {
        content: 'unset',
      },
    },
    input: {
      textAlign: 'center',
      fontSize: 14,
      lineHeight: '18px',
      fontWeight: 600,
    },
    expandIcon: {
      right: 30,
    },
    title: {
      display: 'flex',
      alignItems: 'center',
    },
    helperMessage: {
      fontSize: 12,
      lineHeight: '17px',
      color: '#9B9B9B',
      marginLeft: 8,
    },
    tableHeader: {
      borderTop: 0,
    },
    expanded: {
      margin: '0px !important',
    },
  });

export default styles;
