import React from 'react';
import { shallow } from 'enzyme';
import Input from '@material-ui/core/Input';

import Criteria from './Criteria.component';

describe('Criteria', () => {
  it('should display a Criteria', () => {
    const props = {
      classes: {},
      criteria: { code: 'test' },
      helperMessage: 'helperMessage',
      titles: { test: 'testTitle' },
      handleChangeSubCriteria: jest.fn(),
      handleChangeCriteria: jest.fn(),
      handleRemoveSubCriteria: jest.fn(),
      handleAddSubCriteria: jest.fn(),
      tableMessages: {},
    };
    const wrapper = shallow(<Criteria {...props} />);
    expect(wrapper.find(Input)).toHaveLength(1);
  });
});
