import { createStyles } from '@material-ui/core/styles';

const styles = () =>
  createStyles({
    container: {
      marginTop: 30,
      alignItems: 'center',
    },
    inputRoot: {
      border: '1px solid #777777',
      height: 24,
      width: 40,
      marginRight: 5,
      '&::after': {
        content: 'unset',
      },
      '&::before': {
        content: 'unset',
      },
    },
    input: {
      textAlign: 'center',
      fontSize: 14,
      lineHeight: '18px',
      fontWeight: 600,
    },
    validationButton: {
      backgroundColor: '#2196f3',
    },
    textContainer: {
      width: '90%',
    },
  });

export default styles;
