import React from 'react';
import { shallow } from 'enzyme';
import Input from '@material-ui/core/Input';

import AddCriteria from './AddCriteria.component';

describe('AddCriteria', () => {
  it('should display a AddCriteria', () => {
    const props = {
      classes: {},
      handleCancel: jest.fn(),
      criteria: {},
      handleAddSubCriteria: jest.fn(),
      messages: {
        addCriteriaLabel: 'addCriteriaLabel',
        validateAddCriteriaButton: 'validateAddCriteriaButton',
        cancelAddCriteriaButton: 'cancelAddCriteriaButton',
      },
    };
    const wrapper = shallow(<AddCriteria {...props} />);
    expect(wrapper.find(Input)).toHaveLength(1);
  });
});
