import { connect } from 'react-redux';
import DateTimePicker from './DateTimePicker';
import { AppState } from '../../../../redux/';

const mapStateToProps = (state: AppState) => {
  return {
    locale: state.intl.locale,
  };
};

export default connect(
  mapStateToProps,
  null,
)(DateTimePicker);
