import { Item } from './autocomplete/Autocomplete.interface';

export interface InputRootProps {
  value?: any;
  readOnly?: boolean;
  config?: {
    length?: number;
    choices?: string[];
    type?: string;
  };
  muiPropsCustomConf?: {
    disabled?: boolean;
    InputProps?: {
      readOnly?: boolean;
      disableUnderline?: boolean;
    };
    variant?: any;
    required?: boolean;
    multiline?: boolean;
    rows?: number;
    maxrows?: number;
    autoComplete?: string;
  };
  dateConfig?: {
    type: string;
    minDate?: string | Date;
    maxDate?: string | Date;
  };
  keyLabel?: string;
  handleChange?: any;
  valid?: boolean;
  touched?: boolean;
  errorText?: string;
  suggestions?: Item[];
  apiToCall?: string;
  placeholder?: string;
  doNotSendToBack?: boolean;
  disabled?: boolean;
  hasManagementRule?: boolean;
  show?: boolean;
  inputKey?: string;
  helperText?: {
    content: string;
    type?: 'warning' | 'error';
    icon?: string;
    fontSize?: 'inherit' | 'default' | 'small' | 'large';
  };
  validation: {
    required?: boolean;
    integratedToSpecification?: boolean;
  };
}
