import { connect } from 'react-redux';
import Selectfield from './Selectfield';
import { AppState } from '../../../../redux/';

const mapStateToProps = (state: AppState) => {
  return {
    backCodes: state.prModels.backCodes,
    messagesFromBack: state.intl.messagesFromBack,
  };
};

export default connect(
  mapStateToProps,
  null,
)(Selectfield);
