import textFieldOrArea from './TextFieldOrArea';
import { createStyles, withStyles, WithStyles } from '@material-ui/core/styles';
import { InputRootProps } from '../inputRoot.interface';

export interface Props extends InputRootProps, WithStyles<typeof styles> {
  adornment?: {
    position: string;
    value: string;
  };
  handleToggle: any;
  onClick?: any;
}

export const styles = () =>
  createStyles({
    shrink: {
      transform: 'translate(14px, -1rem)  scale(0.75) !important',
    },
    input: {
      backgroundColor: 'white',
      borderRadius: '4px',
    },
    inputReadOnly: {
      fontWeight: 600,
      padding: '0',
    },
    // labelReadOnly: {
    //   color: 'blue'

    // }
  });

export default withStyles(styles)(textFieldOrArea);
