import Button from '@material-ui/core/Button';
import React, { FunctionComponent } from 'react';

interface AppProps {
  logout: () => Promise<void>;
  logoutMessage: string;
}

export const logout: FunctionComponent<AppProps> = props => (
  <Button variant="text" color="secondary" onClick={props.logout}>
    {props.logoutMessage}
  </Button>
);

export default logout;
