import { withRouter } from 'react-router';
import { connect } from 'react-redux';
import TabMenu from './TabMenu';
import { TabMenuState } from './TabMenu.interface';
import { withStyles } from '@material-ui/core/styles';
import styles from './TabMenu.style';

const mapStateToProps = (state: TabMenuState) => ({
  titlesMessages: state.intl.messages.purchase.titles,
});

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(withRouter(TabMenu)),
) as any;
