import { RouteComponentProps } from 'react-router';
import { TabConfig } from './TabMenu.interface';
import { WithStyles } from '@material-ui/core/styles';
import styles from './TabMenu.style';
export interface TabConfig extends RouteComponentProps<any> {
  label: any;
  route: any;
  value: any;
}

export interface TabMenuProps extends RouteComponentProps<any>, WithStyles<typeof styles> {
  tabs: TabConfig[];
  offset: number;
  titlesMessages: {
    [key: string]: string;
  };
}

export interface TabMenuState {
  intl: {
    messages: {
      purchase: {
        titles: any;
      };
    };
  };
}
