import { WithStyles } from '@material-ui/core/styles';
import { WithSnackbarProps } from 'notistack';
import { RouteComponentProps } from 'react-router';

import styles from './Notifier.style';

export interface NotifierProps extends WithStyles<typeof styles>, WithSnackbarProps {
  deleteOneNotificationEffect: any;
  notifications: any[];
  notificationsCenterTranslates: {
    [key: string]: string;
  };
}

export interface NotifierState {
  notifications: {
    notifications: any[];
  };
  intl: {
    messages: {
      notifications: {
        [key: string]: string;
      };
    };
  };
}
