import { withStyles } from '@material-ui/core/styles';
import { connect } from 'react-redux';

import { styles } from './WarningMessage.style';
import WarningMessage from './WarningMessage.component';

const mapStateToProps = (state: any) => {
  return {
    helperMessages: state.intl.messages.purchase.helperMessages,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(WarningMessage),
);
