import Error from './Error';
import { createStyles, withStyles } from '@material-ui/core/styles';
import { connect } from 'react-redux';

export const styles = () =>
  createStyles({
    container: {
      position: 'fixed',
      height: '100vh',
      backgroundColor: 'rgba(0, 0, 0, 0.5)',
      zIndex: -1,
    },
    paper: {
      padding: '1rem',
    },
  });

const mapStateToProps = (state: any) => {
  return {
    messages: state.intl.messages,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(Error),
);
