import React from 'react';
import PrForm from './PrForm';
import { shallow } from 'enzyme';
import Section from '../section';
import { Props } from './PrForm.interface';

describe('PrForm', () => {
  let props: Props;
  beforeEach(() => {
    props = {
      informationModel: {
        section1: {},
        section2: {},
      },
    };
  });
  it('should render each section', () => {
    const wrapper = shallow(<PrForm {...props} />);
    expect(wrapper.find(Section).length).toEqual(2);
  });
});
