import React, { FunctionComponent } from 'react';
import Section from '../section';
import { Props } from './PrForm.interface';

export const PrForm: FunctionComponent<Props> = props => (
  <>
    {Object.keys(props.informationModel).map(section => (
      <Section key={section} title={section} {...props.informationModel[section]} />
    ))}
  </>
);

export default PrForm;
