import React from 'react';
import { shallow } from 'enzyme';
import Inputs from './Inputs';
import Input from '../../../../../commons/input';

describe('Inputs', () => {
  it('should generate input list', () => {
    const props = {
      inputsModel: {
        test: {},
        test2: {},
      },
      inputsList: ['test', 'test2'],
    };
    const wrapper = shallow(<Inputs {...props} />);
    expect(wrapper.find('Fragment')).toHaveLength(1);
    expect(wrapper.find(Input)).toHaveLength(2);
  });
});
