import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import Summary from './Summary.component';
import styles from './Summary.style';

const mapStateToProps = (state: any) => ({
  summaryLabels: state.intl.messages.summary,
});

// const mapDispatchToProps = (dispatch: any) => {
//   return null;
// };

export default withStyles(styles)(
  connect(
    mapStateToProps,
    // mapDispatchToProps,
  )(Summary),
) as any;
