import { createStyles } from '@material-ui/core/styles';

const styles = () =>
  createStyles({
    panel: {
      borderRadius: '4px',
      backgroundColor: '#FFFFFF',
      boxShadow: '0 2px 6px 0 rgba(0,0,0,0.2), 0 2px 4px 0 rgba(0,0,0,0.1)',
      marginBottom: '20px',
    },
    title: {
      color: '#000000',
      fontSize: '21px',
      fontWeight: 'bold',
      lineHeight: '27px',
      borderBottom: '1px solid rgba(0,0,0,.125)',
      margin: 0,
      minHeight: 56,
    },
    icon: {
      color: '#000000',
      fontSize: '2em',
    },
    subTitle: {
      color: '#23558C',
      fontSize: '21px',
      fontWeight: 'bold',
      lineHeight: '17px',
      marginTop: '15px',
      marginLeft: '8px',
      marginBottom: '20px',
      width: '100%',
    },
    panelDetails: {
      display: 'block',
    },
    elements: {
      fontWeight: 'bold',
    },
    grid: {
      margin: 0,
    },
  });

export default styles;
