import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import { withRouter } from 'react-router';

import SummaryPublication from './SummaryPublication.component';
import styles from '../summary-panel-style/SummaryPanel.style';

const mapStateToProps = (state: any) => ({
  publicationPanelLabels: state.intl.messages.summary.publication,
  purchaseMessages: state.intl.messages.purchase.inputs,
  inputsReadOnly: state.prModels.inputsReadOnly,
  activePR: state.purchaseRequests.activePR,
});
// const mapDispatchToProps = (dispatch: any) => {
//   return null;
// };

export default withStyles(styles)(
  withRouter(
    connect(
      mapStateToProps,
      null,
    )(SummaryPublication),
  ),
);
