import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import { withRouter } from 'react-router';

import SummaryValidation from './SummaryValidation.component';
import styles from '../summary-panel-style/SummaryPanel.style';

const mapStateToProps = (state: any) => ({
  validationPanelLabels: state.intl.messages.summary.validation,
  purchaseMessages: state.intl.messages.purchase.inputs,
  fileUploadMessages: state.intl.messages.purchase.fileUpload,
  inputsReadOnly: state.prModels.inputsReadOnly,
  activePR: state.purchaseRequests.activePR,
  validationProcess: state.purchaseRequests.activePR.validationProcess,
});

// const mapDispatchToProps = (dispatch: any) => {
//   return null;
// };

export default withStyles(styles)(
  withRouter(
    connect(
      mapStateToProps,
      null,
    )(SummaryValidation),
  ),
);
