import { WithStyles } from '@material-ui/core/styles';
import { InputsReadOnly } from '../../../../redux/prModels/prModels.interfaces';
import { RouteComponentProps } from 'react-router';

export default interface Props extends WithStyles<any>, RouteComponentProps<any> {
  match: any;
  history: any;
  location: any;
  index: number;
  classes: any;
  validationPanelLabels: {
    validationPanelTitle: string;
    validationPanelSubTitle: string;
    attachmentValidationPanelTitle: string;
    validatorsPanelTitle: string;
    modifyButtonValidationPanelTitle: string;
  };
  purchaseMessages: any;
  fileUploadMessages: {
    [key: string]: string;
  };
  inputsReadOnly: InputsReadOnly;
  activePR: any;
  openPanel: any;
  panelHandler: any;
  validationProcess: any;
}
