import { REACT_APP_BASE_NAME } from '../config/env-var';
import { ApiRequester } from './networking/api-requester';

import { safeAuthenticationManager } from './authentication';

function configureRequester() {
  return ApiRequester(`${REACT_APP_BASE_NAME}/api`, safeAuthenticationManager);
}
const requester = configureRequester();

export { requester };
