const locale = {
  purchase: {
    helperMessages: {
      fieldsUsedForSpecification: 'Certains champs seront utilisés pour la création de votre cahier des charges.',
      ingratedIntoTheSpecifiactions: 'intégré au cahier des charges',
      planning:
        'Cliquez sur les champs pour ouvrir le sélecteur de date puis cliquez sur une date pour la sélectionner.',
      selectingLeastThanThreeSupplier:
        'Selon la Politique de consommation Groupe, vous devez sélectionner au moins 3 fournisseurs. Dans le cas contraire, vous devez formaliser et documenter les raisons de la demande de dérogation ou vous rapprocher de votre acheteur qui peut vous aider à compléter votre lite de cabinets à interroger.',
      selectingSupplierWithUnknownKYS:
        "Au moins un fournisseur sélectionné n'a pas été évalué en terme de risque fournisseur. Un processus spécifique devra être mis en place avant attribution et pourra se traduire en un délai supplémentaire ou en l'interdiction de poursuivre avec ce fournisseur.",
      selectingSupplierWithRiskyKYS:
        "Au moins un fournisseur sélectionné a été identifié comme présentant un risque. Une validation spécifique de l'ORM sera obligatoire avant attribution et pourra se traduire en un délai supplémentaire ou en une contre-indication de poursuivre avec ce fournisseur.",
      selectingNotReferencedSupplier:
        " Au moins un fournisseur sélectionné ne bénéficie pas d'un accord-cadre Société Générale. Nous recommandons de consulter prioritairement des fournisseurs référencés dans le panel. Dans le cas contraire, la phase de contractualisation sera plus longue.",
      extensionCommentsWarning:
        "Votre nombre d'avenant est supérieur à 2. Conformément à la Politique de consommation Groupe, vous n'êtes pas autorisé à renouveler plus de deux fois votre contrat. Merci de lancer une nouvelle consultation intégrant à minima 3 cabinets. Si toutefois vous ne pouviez pas remettre en concurrence la prestation, merci de formaliser et documenter les raisons de la demande de dérogation.",
      projectName: 'Champ Nom du projet',
      beneficiaryUserId: 'Champ Nom du bénéficiaire',
      contextComments: 'Champ Contexte & Objectifs',
      deliveryComments: 'Champ Livrables',
      locationComments: 'Champ Lieu de la prestation',
      supplierOfferReceptionDateTime: 'Champ Date de réception des offres',
      supplierOralStartDate: 'Champ Date de début des soutenances',
      supplierOralEndDate: 'Champ Date de fin des soutenances',
      estimatedDateSupplierSelection: 'Champ Sélection du fournisseur',
      estimatedContractSignatureDate: 'Champ Date prévue de signature du contrat',
      projectStartDate: 'Champ Date de début du projet',
      projectEndDate: 'Champ Date de fin',
      contactId: 'Champ Contact',
      responseFormatComments: 'Champ Format de la réponse attendue',
      isNotHundredPerCent: 'Le poids total des critères métiers doit être égal à 100%',
      selectionCriteriaSection:
        'Ces critères vous permettront de sélectionner le fournisseur. Vous ne serez pas en mesure de les modifier après l’envoi de l’Appel d’Offres, en accord avec le Code de Conduite du Groupe.',
      fileUpload:
        'Chaque pièce jointe ne doit pas dépasser 2Mo. Les formats autorisés sont .doc, .docx, .jpg, .mpeg, .pdf, .png, .ppt, .pptx, .xls, .xlsx, .xlsb, .xltx, .xml, .txt, .msg',
    },
    fileUpload: {
      fileUploadButton: 'Ajouter des pièces jointes',
      fileDragMessage1: 'Vous pouvez aussi',
      fileDragMessage2: 'Drag & Drop',
      fileDragMessage3: 'vos fichiers',
      fileTabName: 'NOM DU FICHIER',
      fileTabWeight: 'POIDS',
      fileTabType: 'TYPE',
      fileTabDestination: 'DESTINATION',
      external_document: 'Fournisseur externe',
      internal_document: 'Interne',
      fileTabAction: 'ACTION',
    },
    specification: {
      downloadFileTopTextError:
        'Certaines informations nécessaires à la constitution du cahier des charges sont manquantes. Vous pouvez tout de même le télécharger ci-dessous pour vérifier le contenu.',
      downloadFileTopTextSuccess:
        'Toutes les informations nécessaires au remplissage du cahier des charges ont étés complétées, le cahier des charges est complet.',
      downloadFileBottomText: 'Télécharger le cahier des charges',
    },
    inputs: {
      errorTexts: {
        required: 'Ce champ est obligatoire',
        superiorTo: 'Ce nombre est trop petit',
        isNotHundredPerCent: 'isNotHundredPerCent',
      },
      placeholders: {
        startTyping: 'Commencez à écrire...',
        notAvailable: 'N/A',
        operationNature: 'Collecte d’informations personnelles auprès des prospects et clients finaux du Client ',
        treatmentPurpose: 'Maintenance de logiciel',
        dataType: 'Nom ; prénom ; adresse IP ; login ; numéro de carte de crédit etc.',
        personCategory: 'Les clients finaux du Bénéficiaire',
        treatmentDuration:
          'Pendant toute la durée des relations contractuelles entre le Bénéficiaire et le client final',
        treatmentPlace: 'France, Inde, Etats-Unis etc…',
      },
      choices: {
        yes: 'Oui',
        no: 'Non',
      },
      prId: 'Numéro de la demande: ',
      projectName: 'Nom du projet',
      projectCode: 'Code du projet',
      beneficiaryUserId: 'Nom du bénéficiaire',
      projectEntityCode: 'Entité en charge du projet',
      paymentEntityCode: 'Entité en charge du paiement',
      budgeted: 'Budgété?',
      amount: 'Montant hors taxes (€)',
      estimatedNbMandays: 'Nombre estimé de jours.homme',
      dailyRate: 'Taux journalier (€)',
      contractNatureCode: 'Type de demande',
      segmentNatureCode: 'Type de prestation',
      assignmentTriggerCode: 'Fait générateur de la demande',
      mifidCode: 'Charte de déontologie (MIFID)',
      eosCode: 'Prestation de service externalisée essentielle (PSEE)',
      segmentTypeCode: 'Préciser le type de prestation',
      contractId: 'Numéro de contrat',
      extensionNumber: "Numéro d'avenant",
      extensionComments: "Demande justification - nombre d'avenant > 2",
      externalAssistanceComments: 'Justification du recours à une assistance extérieure ',
      supplierComments: 'Justification',
      contextComments: 'Contexte & Objectifs',
      deliveryComments: 'Livrables',
      locationComments: 'Lieu de la prestation',
      gdprEntrustedToProvider: 'Traitement(s) de données personnelles confié(s) au prestataire ?',
      operationNature: 'Nature des opérations réalisées sur les données à caractères personnel',
      treatmentPurpose: 'Finalité(s) du Traitement des données personnelles',
      dataType: 'Types de données à caractère personnel traitées',
      personCategory: 'Catégories de personnes concernées',
      treatmentDuration: 'Durée du traitement',
      treatmentPlace: 'Lieu du traitement',
      internalResourcesComments: 'Ressources internes pour accompagner le prestataire',
      expectedRoiComments: 'Coûts et avantages / Retour sur investissement projeté (qualitatif/quantitatif) ',
      risksComments: 'Contraintes et risques (Organisationnels, Techniques, Interdépendances)',
      supplierOfferReceptionDateTime: 'Date de réception des offres',
      supplierOralStartDate: 'Date de début des soutenances',
      supplierOralEndDate: 'Date de fin des soutenances',
      estimatedDateSupplierSelection: 'Sélection du fournisseur',
      estimatedContractSignatureDate: 'Date prévue de signature du contrat',
      projectStartDate: 'Date de début du projet',
      projectEndDate: 'Date de fin',
      contactId: 'Contact',
      responseFormatComments: 'Format de la réponse attendue',
      selectionCriteria: {
        percentage: 'POURCENTAGE',
        actions: 'ACTIONS',
        total: 'TOTAL',
        addCriteriaButton: 'Ajouter un critère',
        validateAddCriteriaButton: 'Valider',
        cancelAddCriteriaButton: 'Annuler',
        addCriteriaLabel: 'Veuillez renseigner le nouveau critère métier et le pourcentage associé',
        helpCriteriasMessages:
          'Les jauges vont vous permettre de définir l’importance des critères pour le choix du fournisseur.',
      },
    },
    titles: {
      prDescriptionSection: 'Description de ma demande',
      prFileUploadSection: 'Pièces jointes',
      prSpecificationSection: 'Cahier des charges',
      prFileUploadSubsectionExternal: 'Fournisseur externe',
      prFileUploadSubsectionInternal: 'Interne',
      generalInformationSubsection: 'Information générales',
      needsDescription: 'Description du besoin',
      complementaryInformation: 'Informations complémentaires',
      prConsultationRules: 'Règles de consultation',
      planning: 'Planning',
      selectionCriteria: 'Critères de sélection',
      contactAndResponse: 'Contact et format de la réponse',
      suppliersSelection: 'Sélection des fournisseurs',
      summary: 'Résumé',
    },
    info: {
      lastRecord: 'Dernier enregistrement',
    },
  },
};

export default locale;
