import { ConnectedRouter } from 'connected-react-router';
import React from 'react';
import { REACT_APP_BASE_NAME } from '../config/env-var';

import { history } from '../redux/store';

const Providers: React.FunctionComponent = ({ children }) => {
  return (
    <ConnectedRouter history={history} basename={REACT_APP_BASE_NAME}>
      {children}
    </ConnectedRouter>
  );
};

export default Providers;
