import * as actions from './index';
import { actionTypes } from './droppedFiles.actions';

describe('DroppedFiles.actions', () => {
  it('should create a createDroppedFileModel action', () => {
    expect(actions.createDroppedFileModel({ myPayload: 'createDroppedFileModel' })).toEqual({
      type: actionTypes.DROPPEDFILES_CREATE_MODEL,
      payload: { myPayload: 'createDroppedFileModel' },
    });
  });

  it('should create a resetNewFiles action', () => {
    expect(actions.resetNewFiles({ myPayload: 'resetNewFiles' })).toEqual({
      type: actionTypes.DROPPEDFILES_RESET_NEW_FILES,
      payload: { myPayload: 'resetNewFiles' },
    });
  });

  it('should create a getExistingFiles action', () => {
    expect(actions.getExistingFiles({ myPayload: 'getExistingFiles' })).toEqual({
      type: actionTypes.DROPPEDFILES_GET_EXISTING_FILES,
      payload: { myPayload: 'getExistingFiles' },
    });
  });
});
