import { LanguageAction } from './language.interfaces';

export const actionTypes = {
  LANGUAGE: {
    SELECT: 'LANG.SELECT',
    SET_INTL: 'LANG.SET_INTL',
    ADD_TEMPORARY_INTL: 'ADD_TEMPORARY_INTL',
  },
};

export const select = (payload: any): LanguageAction =>
  ({
    type: actionTypes.LANGUAGE.SELECT,
    payload,
  } as LanguageAction);

export const setBackIntl = (payload: any): LanguageAction =>
  ({
    type: actionTypes.LANGUAGE.SET_INTL,
    payload,
  } as LanguageAction);

export const addTemporaryIntl = (payload: any): LanguageAction =>
  ({
    type: actionTypes.LANGUAGE.ADD_TEMPORARY_INTL,
    payload,
  } as LanguageAction);
