import getCurrentLanguage from './language.selectors';

describe('[Language] Selectors', () => {
  const initialState = {
    intl: {
      locale: 'en',
    },
  };

  it('should return locale value', () => {
    const actualLocale = getCurrentLanguage(initialState);
    expect(actualLocale).toEqual(initialState.intl.locale);
  });
});
