import prModelsReducer from './prModels.reducer';
import {
  getInputsModelEffect,
  editInputsModelEffect,
  toggleTouchedEffect,
  updateInputEffect,
  handleSearchEffect,
  resetSuggestionsEffect,
  resetInputsModelEffect,
  getPrValues,
  handleAutoCompleteValueEffect,
  setBackCodesEffect,
} from './prModels.effects';
import {
  setInputsModel,
  editInputsModel,
  updateInput,
  toggleTouched,
  updateSuggestions,
  resetSuggestions,
  resetInputsModel,
  setBackCodes,
} from './prModels.actions';

export {
  getInputsModelEffect,
  editInputsModelEffect,
  toggleTouchedEffect,
  updateInputEffect,
  handleSearchEffect,
  resetSuggestionsEffect,
  resetInputsModelEffect,
  getPrValues,
  handleAutoCompleteValueEffect,
  setBackCodesEffect,
  setInputsModel,
  editInputsModel,
  updateInput,
  toggleTouched,
  updateSuggestions,
  resetSuggestions,
  resetInputsModel,
  setBackCodes,
};
export default prModelsReducer;
