import { AnyAction } from 'redux';

export interface SuppliersState {
  allSuppliers: Array<any>;
  selectedSuppliers: Array<any>;
  selectedSuppliersIds: Array<string>;
  paging: {
    currentPage: number;
    resultsPerPage: number;
  };
  numberOfPages: number;
  searchTerm: string;
  isFiltredSuppliers: boolean;
}

export interface SuppliersAction extends AnyAction {
  payload: SuppliersState | any;
}
