import * as actions from './';
import { actionTypes } from './tasks.actions';

describe('Tasks.actions', () => {
  it('should create a setTask action', () => {
    expect(actions.setTask({ myPayload: 'Test SET a task' })).toEqual({
      type: actionTypes.TASKS.SET,
      payload: { myPayload: 'Test SET a task' },
    });
  });

  it('should create a setTasks action', () => {
    expect(actions.setTasks({ myPayload: 'Test SET Tasks' })).toEqual({
      type: actionTypes.TASKS.SET_ALL,
      payload: { myPayload: 'Test SET Tasks' },
    });
  });

  it('should create a resetTasks action', () => {
    expect(actions.resetTask({ myPayload: 'Test RESET Tasks' })).toEqual({
      type: actionTypes.TASKS.RESET,
      payload: { myPayload: 'Test RESET Tasks' },
    });
  });
});
