import { TasksAction } from './tasks.interfaces';

export const actionTypes = {
  TASKS: {
    SET: 'TASKS.SET',
    RESET: 'TASKS.RESET',
    SET_ALL: 'TASKS.SET_ALL',
  },
};

export const setTask = (payload: any): TasksAction =>
  ({
    type: actionTypes.TASKS.SET,
    payload,
  } as TasksAction);

export const setTasks = (payload: any): TasksAction =>
  ({
    type: actionTypes.TASKS.SET_ALL,
    payload,
  } as TasksAction);

export const resetTask = (payload: any): TasksAction =>
  ({
    type: actionTypes.TASKS.RESET,
    payload,
  } as TasksAction);
