export const labelsParserFunc = (intlBackArray: any) => {
  let frBackFiltredIntl: any;
  let enBackFiltredIntl: any;
  if (intlBackArray && Array.isArray(intlBackArray) && intlBackArray.length > 0) {
    intlBackArray
      .filter((label: any) => label.lang === 'FR')
      .map((res: any) => res)
      .map((result: any) => {
        frBackFiltredIntl = {
          ...frBackFiltredIntl,
          [result.code]: result.label,
        };
        result.choices &&
          result.choices.map((choice: any) => {
            frBackFiltredIntl = {
              ...frBackFiltredIntl,
              [choice.code]: choice.label,
            };
          });
      });
    intlBackArray
      .filter((label: any) => label.lang === 'EN')
      .map((res: any) => res)
      .map((result: any) => {
        enBackFiltredIntl = {
          ...enBackFiltredIntl,
          [result.code]: result.label,
        };
        result.choices &&
          result.choices.map((choice: any) => {
            enBackFiltredIntl = {
              ...enBackFiltredIntl,
              [choice.code]: choice.label,
            };
          });
      });
  }
  const backFiltredIntl: any = {
    en: { ...enBackFiltredIntl },
    fr: { ...frBackFiltredIntl },
  };
  return backFiltredIntl;
};
