export const mockedFetchAllRequest = [
  {
    purchaseRequest: {
      prId: 'PR-0000000011',
      status: 'IN_PROGRESS',
      creationDate: '2018-12-31T17:13:02.554',
      requestor: 'vic',
      projectName: 'test_1',
      projectCode: '0123456789',
      beneficiaryUserId: 'Someone',
      projectEntityCode: 'Something',
      paymentEntityCode: 'Something else',
      amount: 500,
      estimatedNbMandays: 10,
      dailyRate: 50,
      contractNatureCode: 'contractNatureCode1',
      segmentNatureCode: 'segmentNatureCode1',
      assignmentTriggerCode: 'assignmentTriggerCode1',
      mifidCode: 'mifidCode1',
      eosCode: 'eosCode1',
      contractId: 'CT0123',
      extensionNumber: 3,
      extensionComments: 'Why not?',
      externalAssistanceComments: 'Why not?',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000011',
      id: 1,
      businessKey: '6d0dfd1a-5878-4aca-9418-d2f583858a1f',
      createdOn: '2018-12-31T16:13:03.666+0000',
      status: 'IN_PROGRESS',
    },
    tasks: [
      {
        taskName: 'Create Purchase Request',
        taskId: 'f487255c-0d16-11e9-9b92-0242ac120005',
      },
    ],
  },
  {
    purchaseRequest: {
      prId: 'PR-0000000003',
      status: 'IN_PROGRESS',
      creationDate: '2018-12-31T17:26:37.040',
      requestor: 'requestor',
      projectName: 'test_2',
      projectCode: '0123456789',
      beneficiaryUserId: 'Someone',
      projectEntityCode: 'Something',
      paymentEntityCode: 'Something else',
      amount: 500,
      estimatedNbMandays: 10,
      dailyRate: 50,
      contractNatureCode: 'contractNatureCode2',
      segmentNatureCode: 'segmentNatureCode2',
      assignmentTriggerCode: 'assignmentTriggerCode2',
      mifidCode: 'mifidCode2',
      eosCode: 'eosCode2',
      contractId: 'CT0123',
      extensionNumber: 3,
      extensionComments: 'Why not?',
      externalAssistanceComments: 'Why not?',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000003',
      id: 2,
      businessKey: '00fc1c78-b94a-4c8d-ad3e-3c03564c92cb',
      createdOn: '2018-12-31T16:26:37.111+0000',
      status: 'IN_PROGRESS',
    },
    tasks: [
      {
        taskName: 'Create Purchase Request',
        taskId: 'd8747dde-0d18-11e9-9b92-0242ac120005',
      },
    ],
  },
  {
    purchaseRequest: {
      prId: 'PR-0000000004',
      status: 'IN_PROGRESS',
      creationDate: '2018-12-31T17:26:37.040',
      requestor: 'requestor',
      projectName: 'test_3',
      projectCode: '0123456789',
      beneficiaryUserId: 'Someone',
      projectEntityCode: 'Something',
      paymentEntityCode: 'Something else',
      amount: 500,
      estimatedNbMandays: 10,
      dailyRate: 50,
      contractNatureCode: 'contractNatureCode1',
      segmentNatureCode: 'segmentNatureCode1',
      assignmentTriggerCode: 'assignmentTriggerCode1',
      mifidCode: 'mifidCode1',
      eosCode: 'eosCode1',
      contractId: 'CT0123',
      extensionNumber: 3,
      extensionComments: 'Why not?',
      externalAssistanceComments: 'Why not?',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000004',
      id: 3,
      businessKey: '17c81c4e-9b35-49d6-852c-b1c3db03cd28',
      createdOn: '2019-01-02T15:22:14.381+0000',
      status: 'IN_PROGRESS',
    },
    tasks: [],
  },
  {
    purchaseRequest: {
      prId: 'PR-0000000005',
      status: 'IN_PROGRESS',
      creationDate: '2018-12-31T17:26:37.040',
      requestor: 'requestor',
      projectName: 'test_4',
      projectCode: '0123456789',
      beneficiaryUserId: 'Someone',
      projectEntityCode: 'Something',
      paymentEntityCode: 'Something else',
      amount: 500,
      estimatedNbMandays: 10,
      dailyRate: 50,
      contractNatureCode: 'contractNatureCode1',
      segmentNatureCode: 'segmentNatureCode1',
      assignmentTriggerCode: 'assignmentTriggerCode1',
      mifidCode: 'mifidCode1',
      eosCode: 'eosCode1',
      contractId: 'CT0123',
      extensionNumber: 3,
      extensionComments: 'Why not?',
      externalAssistanceComments: 'Why not?',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000003',
      id: 4,
      businessKey: '654312ec-483b-4157-8f1d-876472b61498',
      createdOn: '2019-01-02T15:22:17.657+0000',
      status: 'IN_PROGRESS',
    },
    tasks: [],
  },
];

export const mockedCreatePR = {
  prId: 'PR-000000011',
  createdOn: '2019-04-18T16:36:31.650',
  lastModifiedOn: '2019-04-18T16:36:31.650',
  requestorUserId: '1007400126',
  status: 'DRAFT',
  projectName: 'Im a Project Test',
  projectCode: null,
  beneficiaryUserId: '1007400126',
  projectEntityCode: '3000329357',
  paymentEntityCode: '3000329357',
  budgeted: true,
  amount: 99999,
  estimatedNbMandays: 120,
  dailyRate: null,
  contractNatureCode: 'INIT',
  segmentNatureCode: null,
  segmentTypeCode: null,
  assignmentTriggerCode: null,
  mifidCode: null,
  eosCode: null,
  contractId: null,
  extensionNumber: null,
  extensionComments: null,
  externalAssistanceComments: 'im a test comment :D',
  supplierOfferReceptionDateTime: '2019-05-09T00:00Z',
  supplierOralStartDate: '2019-05-11',
  supplierOralEndDate: '2019-05-12',
  estimatedDateSupplierSelection: '2019-05-12',
  estimatedContractSignatureDate: '2019-05-16',
  projectStartDate: '2019-05-18',
  projectEndDate: null,
  contextComments: null,
  deliveryComments: null,
  locationComments:
    '<p>The project will take place within Societe Generale premises. Travel is not expected on this project.</p>',
  internalResourcesComments: null,
  expectedRoiComments: null,
  risksComments: null,
  contactId: '1007400126',
  responseFormatComments:
    '<p>The proposal will include the following :</p><ul><li>The commercial contact in charge of this proposal</li><li>The anticipated team (experience, references, skills)</li><li>The description of the proposed approach and planning, the methodology and the tools that will be used</li><li>The project organization proposal</li><li>References</li><li>The description of the commitments made on the accomplishment of the mission</li><li>The details of the different fixed costs related to the mission</li><li>The list of subcontractors, if applicable</li><p>Your answer must be constrained to 20 slides.</p>',
  gdprEntrustedToProvider: null,
  criteriaSelections: [],
  gdprConsultingProviders: [],
  suppliers: [],
  supplierComments: null,
  rfxReferenceCode: null,
  language: 'en',
  validationProcess: null,
  specDocId: null,
  winningSupplier: null,
  linkedTo: null,
};

export const mockedEditPR = {
  purchaseRequest: {
    prId: 'PR-0000000011',
    status: 'IN_PROGRESS',
    creationDate: '2018-12-31T17:13:02.554',
    requestor: 'vic',
    projectName: 'test_1',
    projectCode: '0123456789',
    beneficiaryUserId: 'Someone',
    projectEntityCode: 'Something',
    paymentEntityCode: 'Something else',
    amount: 500,
    estimatedNbMandays: 10,
    dailyRate: 50,
    contractNatureCode: 'contractNatureCode1',
    segmentNatureCode: 'segmentNatureCode1',
    assignmentTriggerCode: 'assignmentTriggerCode1',
    mifidCode: 'mifidCode1',
    eosCode: 'eosCode1',
    contractId: 'CT0123',
    extensionNumber: 3,
    extensionComments: 'Why not?',
    externalAssistanceComments: 'Why not?',
  },
  platformRequest: {
    requestor: 'anonymousUser',
    requestType: 'CONSULTING',
    domain: 'DOMAIN',
    backendBusinessApp: 'MKP',
    backendBusinessKey: 'PR-0000000011',
    id: 1,
    businessKey: '6d0dfd1a-5878-4aca-9418-d2f583858a1f',
    createdOn: '2018-12-31T16:13:03.666+0000',
    status: 'IN_PROGRESS',
  },
  tasks: [
    {
      taskName: 'Create Purchase Request',
      taskId: 'f487255c-0d16-11e9-9b92-0242ac120005',
    },
  ],
};

export const mockedFetchAllTasks = [
  {
    task: {
      name: 'Create Purchase Request',
      id: 'aaa68106-1a5d-11e9-83cf-34415d51d187',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000022',
      id: 172,
      businessKey: '04699032-2738-4d99-a259-375485fb5cfa',
      createdOn: '2019-01-17T13:42:00.620+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000022',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-17T14:42:00.469',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: null,
      prBeneficiary: null,
      entityOfPayment: null,
    },
  },
  {
    task: {
      name: 'Create Purchase Request',
      id: 'b11d7f66-19a1-11e9-8187-34415d51d187',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000018',
      id: 168,
      businessKey: '35dd4f39-8f96-482f-adf1-5e5a73d9bd5b',
      createdOn: '2019-01-16T15:16:26.044+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000018',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-16T16:16:25.732',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: null,
      prBeneficiary: null,
      entityOfPayment: null,
    },
  },
  {
    task: {
      name: 'Create Purchase Request',
      id: 'b697a986-1da6-11e9-a43a-0242ac120031',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000041',
      id: 187,
      businessKey: 'a0f46832-9c27-4d2e-9020-f61728bfed40',
      createdOn: '2019-01-21T18:02:27.052+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000041',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-21T19:02:24.848',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: '',
      prBeneficiary: '',
      entityOfPayment: '',
    },
  },
  {
    task: {
      name: 'Create Purchase Request',
      id: 'b85ed57d-1da6-11e9-8c34-0242ac12002f',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000042',
      id: 188,
      businessKey: '8664db89-2bb0-4a87-bfa1-17e9f9bf8495',
      createdOn: '2019-01-21T18:02:30.424+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000042',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-21T19:02:30.345',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: '',
      prBeneficiary: '',
      entityOfPayment: '',
    },
  },
  {
    task: {
      name: 'Create Purchase Request',
      id: 'ca4162e5-1da6-11e9-8c34-0242ac12002f',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000043',
      id: 189,
      businessKey: 'ff7bccff-d98e-423b-86ee-f1de2391454b',
      createdOn: '2019-01-21T18:02:58.687+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000043',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-21T19:02:58.620',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: '',
      prBeneficiary: '',
      entityOfPayment: '',
    },
  },
  {
    task: {
      name: 'Create Purchase Request',
      id: 'c2ce960e-1a5d-11e9-83cf-34415d51d187',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000023',
      id: 173,
      businessKey: '80fa687c-a00d-416b-b045-8cbbb92242d0',
      createdOn: '2019-01-17T13:42:41.197+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000023',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-17T14:42:41.121',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: null,
      prBeneficiary: null,
      entityOfPayment: null,
    },
  },
  {
    task: {
      name: 'UserTask_ApproverValidationTask',
      id: 'dc43ad4d-1da6-11e9-8c34-0242ac12002f',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000045',
      id: 191,
      businessKey: '7bbf04d1-43cc-4e95-94ea-26454f312941',
      createdOn: '2019-01-21T18:03:29.345+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000045',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-21T19:03:29.281',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: '',
      prBeneficiary: '',
      entityOfPayment: '',
    },
  },
  {
    task: {
      name: 'UserTask_ApproverValidationTask',
      id: 'd2eec23e-1da6-11e9-a43a-0242ac120031',
    },
    platformRequest: {
      requestor: 'anonymousUser',
      requestType: 'CONSULTING',
      domain: 'DOMAIN',
      backendBusinessApp: 'MKP',
      backendBusinessKey: 'PR-0000000044',
      id: 190,
      businessKey: 'ce4b9c74-53c3-4295-86b6-7aadc0d7e05b',
      createdOn: '2019-01-21T18:03:12.876+0000',
      status: 'IN_PROGRESS',
    },
    purchaseRequest: {
      prId: 'PR-0000000044',
      status: 'IN_PROGRESS',
      creationDate: '2019-01-21T19:03:12.813',
      requestor: 'anonymousUser',
      amount: null,
      prTitle: '',
      prBeneficiary: '',
      entityOfPayment: '',
    },
  },
];
