import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';

import AddCriteria from './AddCriteria.component';
import styles from './AddCriteria.style';

const mapStateToProps = (state: any) => {
  return {
    titles: state.intl.messagesFromBack,
    helperMessage: state.intl.messages.purchase.helperMessages.ingratedIntoTheSpecifiactions,
    messages: state.intl.messages.purchase.inputs.selectionCriteria,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(AddCriteria),
);
