import Gdpr from './Gdpr';
import { InputRootProps } from '../inputRoot.interface';
import { AppState } from './../../../../redux/index';
import { connect } from 'react-redux';

export interface Props extends InputRootProps {
  gdprButtonMessage: string;
  value: any[];
}

const mapStateToProps = (state: AppState) => ({
  gdprButtonMessage: state.intl.messages.buttons.addGdpr,
});

export default connect(
  mapStateToProps,
  null,
)(Gdpr);
