import RadioButtons from './RadioButton';
import { InputRootProps } from '../inputRoot.interface';
import { AppState } from './../../../../redux/index';
import { connect } from 'react-redux';

export interface Props extends InputRootProps {
  value: string | boolean | undefined;
  choicesMessages: {
    [key: string]: string;
  };
}

const mapStateToProps = (state: AppState) => ({
  choicesMessages: state.intl.messages.purchase.inputs.choices,
});

export default connect(
  mapStateToProps,
  null,
)(RadioButtons);
