import { createStyles, Theme } from '@material-ui/core/styles';

const styles = (theme: Theme) =>
  createStyles({
    root: {
      padding: '2px 4px',
      display: 'flex',
      alignItems: 'center',
      width: 400,
      height: 32,
      marginBottom: 20,
      backgroundColor: '#F3F3F3',
    },
    input: {
      marginLeft: 8,
      flex: 1,
      fontSize: 12,
      fontWeight: 600,
    },
    searchButton: {
      padding: 4,
    },
    resetButton: {
      color: '#9B9B9B',
      borderRadius: '8%',
      padding: 10,
    },
    headerTitle: {
      fontWeight: 700,
      paddingRight: 30,
    },
    header: {
      display: 'flex',
      alignItems: 'center',
      paddingBottom: 15,
    },
    resetButtonLabel: {
      color: 'inherit',
      paddingRight: 10,
    },
  });

export default styles;
