import React from 'react';
import { shallow } from 'enzyme';
import SelectField from './Selectfield';
import { MenuItem, TextField } from '@material-ui/core';

describe('selectfield', () => {
  it('should display a selectfield', () => {
    const props = {
      value: '',
      keyLabel: 'test',
      handleChange: jest.fn(),
      handleToggle: jest.fn(),
      valid: false,
      touched: true,
      errorText: '',
      inputKey: 'testInput',
      messagesFromBack: {
        code1: 'test1',
        code2: 'test2',
      },
      backCodes: {
        testInput: ['code1', 'code2'],
      },
    };
    const wrapper = shallow(<SelectField {...props} />);
    expect(wrapper.find(TextField)).toHaveLength(1);
    expect(wrapper.find(MenuItem)).toHaveLength(3);
  });
});
