import { connect } from 'react-redux';
import Logout from './Logout';
import { safeAuthenticationManager } from '../../../../helpers/authentication';

const mapStateToProps = (state: any) => {
  return {
    logoutMessage: state.intl.messages.logout,
  };
};

const mapDispatchToProps = () => {
  return {
    logout: () => safeAuthenticationManager.logout(),
  };
};

export default connect(
  mapStateToProps,
  mapDispatchToProps,
)(Logout);
