import { WithStyles } from '@material-ui/core/styles';

import { styles } from './WarningMessage.style';

export interface Props extends WithStyles<typeof styles> {
  helperText: {
    content: string;
    type?: 'warning' | 'error' | 'errorwar';
    icon?: string;
    fontSize?: 'inherit' | 'default' | 'small' | 'large';
  };
  classes: any;
  helperMessages: {
    [key: string]: string;
  };
}
