import { createStyles, Theme } from '@material-ui/core/styles';

export const styles = (theme: Theme) =>
  createStyles({
    helper: {
      padding: '0.5rem 1rem',
      flexWrap: 'nowrap',
      alignItems: 'center',
    },
    icon: {
      marginRight: theme.spacing.unit,
    },
    warning: {
      color: theme.palette.colors.warning.main,
    },
    error: {
      color: theme.palette.colors.danger.main,
    },
    errorwar: {
      color: theme.palette.colors.black.main,
    },
    typography: {
      fontWeight: 600,
      lineHeight: '18px',
    },
  });
