import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import { withRouter } from 'react-router';

import HomePage from './HomePage.component';
import styles from './HomePage.style';

const mapStateToProps = (state: any) => {
  return {
    redirectToPRListButtonLabel: state.intl.messages.homePage.redirectionToPRSListButton,
  };
};

export default withStyles(styles)(
  connect(
    mapStateToProps,
    null,
  )(HomePage),
) as any;
