import React from 'react';
import { shallow } from 'enzyme';
import Loader from './Loader';
import { Grid, CircularProgress } from '@material-ui/core';

describe('Loader', () => {
  it('should generate a Loader', () => {
    const props = {
      classes: {
        container: '',
      },
    };
    const wrapper = shallow(<Loader {...props} />);
    expect(wrapper.find(Grid)).toHaveLength(1);
    expect(wrapper.find(CircularProgress)).toHaveLength(1);
  });
});
