import React, { StatelessComponent } from 'react';
import Input from '../../../../../commons/input';
import { Props } from './Inputs.container';

export const form: StatelessComponent<Props> = props => {
  const { inputsList, inputsModel } = props;
  return (
    <>
      {inputsModel &&
        inputsList.map((keyLabel: string) => {
          const inputCustomConf = inputsModel[keyLabel];
          return <Input key={keyLabel} keyLabel={keyLabel} {...inputCustomConf} />;
        })}
    </>
  );
};

export default form;
