import React from 'react';
import { shallow } from 'enzyme';

import Summary from './Summary.component';
import SummaryValidation from './summary-validation';
import SummaryPublication from './summary-publication';

describe('Summary', () => {
  let props: any;
  beforeEach(() => {
    props = {
      classes: {},
      summaryLabels: {
        summaryTitle: 'string',
      },
      location: {
        search: '',
      },
    };
  });
  it('should render SummaryValidation', () => {
    const wrapper = shallow(<Summary {...props} />);
    expect(wrapper.find(SummaryValidation)).toHaveLength(1);
  });
  it('should render SummaryPublication', () => {
    const wrapper = shallow(<Summary {...props} />);
    expect(wrapper.find(SummaryPublication)).toHaveLength(1);
  });
});
