import { WithStyles } from '@material-ui/core/styles';
import { InputsReadOnly } from '../../../../redux/prModels/prModels.interfaces';
import { RouteComponentProps } from 'react-router';

export default interface Props extends WithStyles<any>, RouteComponentProps<any> {
  index: number;
  classes: any;
  history: any;
  match: any;
  location: any;
  publicationPanelLabels: {
    publicationPanelTitle: string;
    publicationPanelSubTitle: string;
    publicationPlanningPanelTitle: string;
    attachmentPublicationPanelTitle: string;
    suppliersPublicationPanelTitle: string;
    modifyDateButtonPublication: string;
  };
  purchaseMessages: any;
  inputsReadOnly: InputsReadOnly;
  activePR: any;
  openPanel: any;
  panelHandler: any;
}
