import { connect } from 'react-redux';
import { withStyles } from '@material-ui/core/styles';
import { withRouter } from 'react-router';

import SummaryValidators from './SummaryValidators.component';
import styles from './SummaryValidators.style';

const mapStateToProps = (state: any) => ({
  validatorsLabels: state.intl.messages.summary.validation.validators,
});

// const mapDispatchToProps = (dispatch: any) => {
//   return null;
// };

export default withStyles(styles)(
  withRouter(
    connect(
      mapStateToProps,
      // mapDispatchToProps,
    )(SummaryValidators),
  ),
);
