import { WithStyles } from '@material-ui/core/styles';
import { RouteComponentProps } from 'react-router';
import styles from './SummaryValidators.style';

interface MatchParams {
  PRID: string;
}

export default interface Props extends WithStyles<typeof styles>, RouteComponentProps<MatchParams> {
  index: number;
  classes: any;
  activePR: any;
  validationProcess: {
    businessApprovals: [
      {
        approvalType: string;
        approverAction: string;
        comments: string;
        createdOn: string;
        order: number;
        userEntityCode: number;
        userId: number;
      }
    ];
    financialApprovals: [
      {
        approvalType: string;
        approverAction: string;
        comments: string;
        createdOn: string;
        order: number;
        userEntityCode: number;
        userId: number;
      }
    ];
  };
  validatorsLabels: any;
}
