import { SafeAuthenticationManager, TokenReduxStorage } from '@bsc/client-safe-auth';

import { REACT_APP_BASE_NAME } from '../config/env-var';
import { store } from '../redux/store';

function configureSafeAuthentication() {
  return new SafeAuthenticationManager(`${REACT_APP_BASE_NAME}/`, new TokenReduxStorage(store));
}
const safeAuthenticationManager = configureSafeAuthentication();

export { safeAuthenticationManager };
