import React from 'react';
import { Provider as ReduxProvider } from 'react-redux';

import { store } from '../redux/store';

const Providers: React.FunctionComponent = ({ children }) => {
  return <ReduxProvider store={store}>{children}</ReduxProvider>;
};

export default Providers;
