import { lightTheme } from '../theme';
import { MuiThemeProvider } from '@material-ui/core';
import React from 'react';

const UiProvider: React.FunctionComponent = ({ children }) => {
  return <MuiThemeProvider children={children} theme={lightTheme} />;
};

export default UiProvider;
