import * as actions from './index';
import { actionTypes } from './language.actions';

describe('Language.actions', () => {
  it('should create a select action', () => {
    expect(actions.select('Test select language')).toEqual({
      type: actionTypes.LANGUAGE.SELECT,
      payload: 'Test select language',
    });
  });
  it('should setBackIntl action', () => {
    expect(actions.setBackIntl('Test Back Intl')).toEqual({
      type: actionTypes.LANGUAGE.SET_INTL,
      payload: 'Test Back Intl',
    });
  });
  it('should addTemporaryIntl action', () => {
    expect(actions.addTemporaryIntl('Test Add Intl')).toEqual({
      type: actionTypes.LANGUAGE.ADD_TEMPORARY_INTL,
      payload: 'Test Add Intl',
    });
  });
});
