import * as actions from './index';
import { actionTypes } from './notifications.actions';

describe('Notifications.actions', () => {
  it('should create a addOneNotification action', () => {
    expect(actions.addOneNotification({ myPayload: 'addOneNotification' })).toEqual({
      type: actionTypes.NOTIFICATION_ADD_ONE,
      payload: { myPayload: 'addOneNotification' },
    });
  });

  it('should create a deleteOneNotification action', () => {
    expect(actions.deleteOneNotification({ myPayload: 'deleteOneNotification' })).toEqual({
      type: actionTypes.NOTIFICATION_DELETE_ONE,
      payload: { myPayload: 'deleteOneNotification' },
    });
  });
});
