import { NotificationsAction } from './notifications.interfaces';

export const actionTypes = {
  NOTIFICATION_ADD_ONE: 'NOTIFICATION.ADD_ONE',
  NOTIFICATION_DELETE_ONE: 'NOTIFICATION.DELETE_ONE',
};

export const addOneNotification = (payload: any): NotificationsAction =>
  ({
    type: actionTypes.NOTIFICATION_ADD_ONE,
    payload,
  } as NotificationsAction);

export const deleteOneNotification = (payload: any): NotificationsAction =>
  ({
    type: actionTypes.NOTIFICATION_DELETE_ONE,
    payload,
  } as NotificationsAction);
