import { Reducer } from 'redux';
import { actionTypes } from './purchaseRequests.actions';
import { PurchaseRequestsAction, PurchaseRequestsState } from './purchaseRequests.interfaces';

const initialState = {
  activePR: null,
  userPRs: [],
};

const reducer: Reducer<PurchaseRequestsState, PurchaseRequestsAction> = (state = initialState, action) => {
  switch (action.type) {
    case actionTypes.PURCHASEREQUESTS.SET:
      return {
        ...state,
        ...action.payload,
      };
    case actionTypes.PURCHASEREQUESTS.SET_ALL:
      return {
        ...state,
        ...action.payload,
      };
    case actionTypes.PURCHASEREQUESTS.RESET:
      return {
        ...state,
        ...action.payload,
      };
    case actionTypes.PURCHASEREQUESTS.UPDATE:
      return {
        ...state,
        ...action.payload,
      };
    default:
      return state;
  }
};

export default reducer;
