export const TEXT_PRIMARY_COLOR = 'rgba(0, 0, 0, 0.85)';
export const TEXT_SECONDARY_COLOR = 'rgba(0, 0, 0, 0.54)';
export const TEXT_DISABLED_COLOR = 'rgba(0, 0, 0, 0.38)';
export const TEXT_CONTRAST_COLOR = 'rgba(255, 255, 255, 1)';

export default {
  socgenred: {
    main: '#E60028',
  },
  saphirblue: {
    main: '#23558C',
  },
  info: {
    main: '#005DFF',
    light: '#B2E1F0',
    contrastText: TEXT_CONTRAST_COLOR,
  },
  success: {
    main: '#00D23B',
    light: '#BCF7CD',
    contrastText: TEXT_CONTRAST_COLOR,
  },
  warning: {
    main: '#FF8500',
    light: '#FFD6B0',
    contrastText: TEXT_CONTRAST_COLOR,
  },
  danger: {
    main: '#E80000',
    light: '#F7B2BE',
    contrastText: TEXT_CONTRAST_COLOR,
  },
  disclaimer: {
    main: '#CCCCCC',
    contrastText: TEXT_CONTRAST_COLOR,
  },
  //
  brickred: {
    main: '#dd4e4e',
    dark: '#d63a3a',
  },
  grapefruit: {
    main: '#ED5565',
    dark: '#DA4453',
  },
  bittersweet: {
    main: '#FC6E51',
    dark: '#E9573F',
  },
  sunflower: {
    main: '#FFCE54',
    dark: '#F6BB42',
  },
  grass: {
    main: '#A0D468',
    dark: '#8CC152',
  },
  mint: {
    main: '#48CFAD',
    dark: '#37BC9B',
  },
  aqua: {
    main: '#4FC1E9',
    dark: '#3BAFDA',
  },
  bluejeans: {
    main: '#5D9CEC',
    dark: '#4A89DC',
  },
  lavender: {
    main: '#AC92EC',
    dark: '#967ADC',
  },
  pinkrose: {
    main: '#EC87C0',
    dark: '#D770AD',
  },
  lightgrey: {
    main: '#CCCCCC',
    dark: '#E6E9ED',
  },
  darkgrey: {
    main: '#333333',
    dark: '#434A54',
  },
  black: {
    main: '#000000',
    dark: '#000000',
  },
  white: {
    main: '#FFFFFF',
    dark: '#FFFFFF',
    contrastText: TEXT_PRIMARY_COLOR,
  },
};
